export declare const ERROR_CODE: {
    readonly SUCCESS: "0000";
    readonly UNKNOWN: "0010";
    readonly NOT_INITIALIZED: "0020";
    readonly NOT_SUPPORTED: "0030";
    readonly APP_NOT_FOUND: "0040";
    readonly AGENT_NOT_FOUND: "0050";
    readonly TRANSPORT_ERROR: "0060";
    readonly TIME_OUT: "0070";
    readonly MALFORMED_DATA: "0080";
    readonly NOT_LOGGED_IN: "0090";
};
export declare type ErrorCode = (typeof ERROR_CODE)[keyof typeof ERROR_CODE];
export declare const APP: {
    readonly EXPLORER: "explorer";
    readonly PORTAL: "portal";
    readonly BLOG: "blog";
    readonly EXERCIZER: "exercizer";
    readonly TIMELINE: "timeline";
    readonly CAS: "cas";
    readonly VIDEO: "video";
    readonly MINDMAP: "mindmap";
};
export declare type App = (typeof APP)[keyof typeof APP];
export declare const USER_PREFS: {
    readonly APPS: "apps";
    readonly WIDGETS: "widgets";
    readonly LANGUAGE: "language";
    readonly AUTH_CONNECTOR_ACCESSED: "authenticatedConnectorsAccessed";
    readonly CURSUS: "cursus";
    readonly INFOTIP: "infotip";
    readonly RGPD_COOKIES: "rgpdCookies";
};
