import { AddBundleCallback, IIdiom } from "./interfaces";
import { IOdeServices } from "../services/OdeServices";
import { App } from "../globals";
export declare const defaultDiacriticsRemovalMap: {
    base: string;
    letters: RegExp;
}[];
export declare class IdiomService implements IIdiom {
    private context;
    constructor(context: IOdeServices);
    private get http();
    getIdiom(currentLanguage: string, app: App): Promise<any>;
    translate(key: string, params?: {
        [param: string]: any;
    }): string;
    addBundlePromise(currentLanguage: string, path: string): Promise<void>;
    addBundle(currentLanguage: string, path: string, callback?: AddBundleCallback): void;
    loadBundlePromise(currentLanguage: string, path: string): Promise<void>;
    private loadBundle;
    addTranslations(folder: string, callback?: AddBundleCallback): void;
    addAllTranslations(folders: string[]): Promise<void>;
    addKeys(keys: any): void;
    removeAccents(str: string): string;
}
