export interface WorkspaceElement {
    _id?: string;
    eType: string;
    eParent: string;
    name: string;
    title?: string;
    file?: string;
    deleted?: boolean;
    children: Element[];
    created: Date;
    trasher?: string;
    externalId?: string;
    _shared: any[];
    inheritedShares?: any[];
    _isShared: boolean;
    showComments?: boolean;
    editing?: boolean;
    comments?: Comment[];
    comment?: string;
    ownerName?: string;
    owner: {
        userId: string;
        displayName: string;
    };
    uploadStatus?: "loading" | "loaded" | "failed" | "abort";
    uploadXhr?: XMLHttpRequest;
    hiddenBlob?: Blob;
    metadata?: {
        "content-type"?: string;
        role?: string;
        extension?: string;
        filename?: string;
        size?: number;
        captation?: boolean;
        duration?: number;
        width?: number;
        height?: number;
    };
    link?: string;
    icon?: string;
    version?: number;
    currentQuality?: number;
    application?: string;
    legend?: string;
    alt?: string;
    protected?: boolean;
    public?: boolean;
}
